- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Seq_Var_Base_T< T, T_elem > Class Template Reference

Parametrized implementation of _var base class for sequences. More...

`#include <Seq_Var_T.h>`

Inheritance diagram for TAO_Seq_Var_Base_T< T, T_elem >:

[legend]
Collaboration diagram for TAO_Seq_Var_Base_T< T, T_elem >:

[legend]
List of all members.

## Public Types
typedef const T & | _in_type
typedef T & | _inout_type
typedef T *& | _out_type
typedef T * | _retn_type
## Public Member Functions
| TAO_Seq_Var_Base_T (void)
| TAO_Seq_Var_Base_T (T *)
| TAO_Seq_Var_Base_T (const TAO_Seq_Var_Base_T< T, T_elem > &)
| ~TAO_Seq_Var_Base_T (void)
T * | operator-> (void)
const T * | operator-> (void) const
| operator const T & () const
| operator T & ()
| operator T & () const
_in_type | in (void) const
_inout_type | inout (void)
_out_type | out (void)
_retn_type | _retn (void)
_retn_type | ptr (void) const
## Protected Attributes
T * | ptr_

## Detailed Description

### template<typename T, typename T_elem>
class TAO_Seq_Var_Base_T< T, T_elem >

Parametrized implementation of _var base class for sequences.

## Member Typedef Documentation

template<typename T, typename T_elem>

typedef const T& TAO_Seq_Var_Base_T< T, T_elem >::_in_type

template<typename T, typename T_elem>

typedef T& TAO_Seq_Var_Base_T< T, T_elem >::_inout_type

template<typename T, typename T_elem>

typedef T*& TAO_Seq_Var_Base_T< T, T_elem >::_out_type

template<typename T, typename T_elem>

typedef T* TAO_Seq_Var_Base_T< T, T_elem >::_retn_type

## Constructor & Destructor Documentation

template<typename T, typename T_elem>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::TAO_Seq_Var_Base_T | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::TAO_Seq_Var_Base_T | ( | T * |  | ) |

template<typename T, typename T_elem>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Seq_Var_Base_T< T, T_elem >::TAO_Seq_Var_Base_T | ( | const TAO_Seq_Var_Base_T< T, T_elem > & |  | ) |

template<typename T, typename T_elem>

ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::~TAO_Seq_Var_Base_T | ( | void |  | ) |

## Member Function Documentation

template<typename T, typename T_elem>

ACE_INLINE T * TAO_Seq_Var_Base_T< T, T_elem >::_retn | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE const T & TAO_Seq_Var_Base_T< T, T_elem >::in | ( | void |  | ) | const

template<typename T, typename T_elem>

ACE_INLINE T & TAO_Seq_Var_Base_T< T, T_elem >::inout | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::operator const T & | ( |  | ) | const

template<typename T, typename T_elem>

ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::operator T & | ( |  | ) | const

template<typename T, typename T_elem>

ACE_INLINE TAO_Seq_Var_Base_T< T, T_elem >::operator T & | ( |  | ) |

template<typename T, typename T_elem>

ACE_INLINE const T * TAO_Seq_Var_Base_T< T, T_elem >::operator-> | ( | void |  | ) | const

template<typename T, typename T_elem>

ACE_INLINE T * TAO_Seq_Var_Base_T< T, T_elem >::operator-> | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE T *& TAO_Seq_Var_Base_T< T, T_elem >::out | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE T * TAO_Seq_Var_Base_T< T, T_elem >::ptr | ( | void |  | ) | const

## Member Data Documentation

template<typename T, typename T_elem>

T* TAO_Seq_Var_Base_T< T, T_elem >::ptr_`[protected]`

The documentation for this class was generated from the following files:

- Seq_Var_T.h
- Seq_Var_T.cpp
- Seq_Var_T.inl